## subversion 1.4.6-maemo2

=== Makefile ===
#
# Makefile.in:  template Makefile for Subversion
#
# ====================================================================
# Copyright (c) 2000-2004 CollabNet.  All rights reserved.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at http://subversion.tigris.org/license-1.html.
# If newer versions of this license are posted there, you may use a
# newer version instead, at your option.
#
# This software consists of voluntary contributions made by many
# individuals.  For exact contribution history, see the revision
# history and logs, available at http://subversion.tigris.org/.
# ====================================================================
#

top_builddir = .
top_srcdir = .
abs_builddir = /home/michael/svn_mehr_scratch/subversion-1.4.6
abs_srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6
VPATH = .

SVN_RA_LIB_DEPS = $(RA_LOCAL_DEPS) $(RA_SVN_DEPS) $(RA_DAV_DEPS)
SVN_RA_LIB_INSTALL_DEPS = install-ramod-lib install-dav-lib
SVN_RA_LIB_LINK = $(RA_LOCAL_LINK) $(RA_SVN_LINK) $(RA_DAV_LINK)

SVN_FS_LIB_DEPS = $(FS_FS_DEPS)
SVN_FS_LIB_INSTALL_DEPS = install-fsmod-lib
SVN_FS_LIB_LINK = $(FS_FS_LINK)

SWIG_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig
SWIG_BUILD_DIR = $(abs_builddir)/subversion/bindings/swig

SVN_EXTERNAL_PROJECT_SUBDIRS =  apr apr-util neon

SCHEMA_DIR = subversion/svn/schema

NEON_LIBS = $(abs_builddir)/neon/src/libneon.la
SVN_APR_LIBS =  /home/michael/svn_mehr_scratch/subversion-1.4.6/apr/libapr-0.la -lrt -lm -lcrypt -lnsl  -lpthread -ldl
SVN_APRUTIL_LIBS =  /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/libaprutil-0.la -lexpat
SVN_DB_LIBS =
SVN_SERF_LIBS = 

LIBS =  -lz

prefix = /usr
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
fsmod_libdir = ${exec_prefix}/lib
ramod_libdir = ${exec_prefix}/lib
dav_libdir = ${exec_prefix}/lib
bdb_libdir = ${exec_prefix}/lib
serf_libdir = ${exec_prefix}/lib
bindir = ${exec_prefix}/bin
includedir = ${prefix}/include
mandir = ${prefix}/man
srcdir = .
datadir = ${prefix}/share
localedir = ${datadir}/locale

# where to install libsvn_swig_*
swig_py_libdir = ${exec_prefix}/lib
swig_pl_libdir = ${exec_prefix}/lib
swig_rb_libdir = ${exec_prefix}/lib

### these possibly need further discussion
swig_pydir = ${exec_prefix}/lib/svn-python/libsvn
swig_pydir_extra = ${exec_prefix}/lib/svn-python/svn
swig_pldir = ${exec_prefix}/lib/svn-perl
swig_rbdir = $(SWIG_RB_SITE_ARCH_DIR)/svn/ext

javahl_javadir = ${exec_prefix}/lib/svn-javahl
javahl_javahdir = ${exec_prefix}/lib/svn-javahl/include
javahl_libdir = ${exec_prefix}/lib

MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMTFLAGS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
XGETTEXT = /scratchbox/tools/bin/xgettext
TRANG = none

PACKAGE_NAME=subversion
PACKAGE_VERSION=1.4.6

CC = gcc
CXX = g++
EXEEXT = 

SHELL = /bin/sh
LIBTOOL = $(SHELL) /home/michael/svn_mehr_scratch/subversion-1.4.6/libtool
LTFLAGS = --tag=CC --silent
LTCXXFLAGS = --tag=CXX --silent
LT_LDFLAGS = 
LT_NO_UNDEFINED = 
LT_CXX_LIBADD = 

INCLUDES = -I$(top_srcdir)/subversion/include -I$(top_builddir)/subversion \
           -I$(abs_srcdir)/neon/src -I/usr/include/neon   \
            -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include   -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include  

APACHE_INCLUDES = 
APACHE_TARGET = 
APACHE_LIBEXECDIR = $(DESTDIR)
APACHE_LDFLAGS = 

SWIG = /scratchbox/devkits/maemo3-tools/bin/swig
SWIG_PY_INCLUDES = $(SWIG_INCLUDES) -I/scratchbox/tools/include/python2.3 -I$(SWIG_SRC_DIR)/python/libsvn_swig_py
SWIG_PY_COMPILE = /scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC
SWIG_PY_LINK = /scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -pthread -shared
SWIG_PY_LIBS = 
SWIG_PL_INCLUDES = $(SWIG_INCLUDES)  -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DAPPLLIB_EXP="/host_usr/perl" -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE 
SWIG_RB_INCLUDES =  -I$(SWIG_SRC_DIR)/ruby/libsvn_swig_ruby
SWIG_RB_COMPILE = none
SWIG_RB_LINK = none
SWIG_RB_SITE_LIB_DIR = 
SWIG_RB_SITE_ARCH_DIR = 
SWIG_RB_TEST_VERBOSE = 
SWIG_RB_RI_DATADIR = $(DESTDIR)$(datadir)/ri/$(RUBY_MAJOR).$(RUBY_MINOR)/site

JAVAHL_INCLUDES= none -I$(abs_builddir)/subversion/bindings/java/javahl/include

SVN_APR_INCLUDES =  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include 
SVN_APR_PREFIX = /usr
SVN_APRUTIL_INCLUDES =  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include 
SVN_APRUTIL_PREFIX = 

SVN_SERF_INCLUDES = 
SVN_SERF_PREFIX = 

MKDIR = /scratchbox/tools/bin/install -c -d

# The EXTRA_ parameters can be used to pass extra flags at 'make' time.
CFLAGS = -Wall -g -O2   -pthread  -D_LARGEFILE64_SOURCE -DNE_LFS $(EXTRA_CFLAGS)
### A few of the CFLAGS (e.g. -Wmissing-prototypes, -Wstrict-prototypes,
### -Wmissing-declarations) are not valid for C++, and should be somehow
### suppressed (but they may come from httpd or APR).
CPPFLAGS =   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE $(EXTRA_CPPFLAGS)
LDFLAGS =      $(EXTRA_LDFLAGS)

COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) $(INCLUDES)
COMPILE_CXX = $(CXX) $(CPPFLAGS) $(CFLAGS) $(CXXFLAGS) $(INCLUDES)
LT_COMPILE = $(LIBTOOL) $(LTFLAGS) --mode=compile $(COMPILE)

# special compilation for files destined for mod_dav_svn
COMPILE_APACHE_MOD = $(LIBTOOL) $(LTFLAGS) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(APACHE_INCLUDES) $(INCLUDES) -o $@ -c

# special compilation for files destined for libsvn_swig_* (e.g. swigutil_*.c)
COMPILE_SWIG_PY = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_PY_COMPILE) $(CPPFLAGS) -DSWIGPYTHON $(CFLAGS) $(SWIG_PY_INCLUDES) $(INCLUDES) -o $@ -c
COMPILE_SWIG_PL = $(LIBTOOL) $(LTFLAGS) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(SWIG_PL_INCLUDES) $(INCLUDES) -o $@ -c
COMPILE_SWIG_RB = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_RB_COMPILE) $(CPPFLAGS) $(CFLAGS) $(SWIG_RB_INCLUDES) $(INCLUDES) -o $@ -c

# special compilation for files destined for javahl (i.e. C++)
COMPILE_JAVAHL_CXX = $(LIBTOOL) $(LTCXXFLAGS) --mode=compile $(COMPILE_CXX) $(JAVAHL_INCLUDES) -o $@ -c
COMPILE_JAVAHL_JAVAC = $(JAVAC) $(JAVAC_FLAGS)
COMPILE_JAVAHL_JAVAH = $(JAVAH)

LINK = $(LIBTOOL) $(LTFLAGS) --mode=link $(CC) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) -rpath $(libdir)

# special link rule for mod_dav_svn
LINK_APACHE_MOD = $(LIBTOOL) $(LTFLAGS) --mode=link $(CC) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) -rpath $(APACHE_LIBEXECDIR) -avoid-version -module $(APACHE_LDFLAGS)

# Compilation of SWIG-generated C source code
COMPILE_PY_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_PY_COMPILE) $(CPPFLAGS) $(SWIG_INCLUDES) $(SWIG_PY_INCLUDES) -prefer-pic -c -o $@
COMPILE_RB_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_RB_COMPILE) $(CPPFLAGS) $(SWIG_INCLUDES) $(SWIG_RB_INCLUDES) -prefer-pic -c -o $@

# these commands link the wrapper objects into an extension library/module
LINK_PY_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=link $(SWIG_PY_LINK) $(SWIG_LDFLAGS) -rpath $(swig_pydir) -avoid-version -module
LINK_RB_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=link $(SWIG_RB_LINK) $(SWIG_LDFLAGS) -rpath $(swig_rbdir) -avoid-version -module

LINK_JAVAHL_CXX = $(LIBTOOL) $(LTCXXFLAGS) --mode=link $(CXX) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) $(LT_CXX_LIBADD) -rpath $(libdir)

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_LIB = $(LIBTOOL) --mode=install $(INSTALL)
INSTALL_FSMOD_LIB = $(INSTALL_LIB)
INSTALL_RAMOD_LIB = $(INSTALL_LIB)
INSTALL_BDB_LIB = $(INSTALL_LIB)
INSTALL_DAV_LIB = $(INSTALL_LIB)
INSTALL_SERF_LIB = $(INSTALL_LIB)
INSTALL_BIN = $(LIBTOOL) --mode=install $(INSTALL)
INSTALL_INCLUDE = $(INSTALL) -m 644
INSTALL_MOD_SHARED =  -i -S LIBEXECDIR="$(APACHE_LIBEXECDIR)" -a
INSTALL_MOD_STATIC = $(INSTALL) -m 644
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_LOCALE = $(INSTALL_DATA)

### this isn't correct yet
INSTALL_SWIG_PY = $(INSTALL_LIB)
INSTALL_SWIG_PY_LIB = $(INSTALL_LIB)
INSTALL_SWIG_PL_LIB = $(INSTALL_LIB)
INSTALL_SWIG_RB = $(INSTALL_LIB)
INSTALL_SWIG_RB_LIB = $(INSTALL_LIB)

INSTALL_JAVAHL_LIB = $(INSTALL_LIB)

# additional installation rules for the SWIG wrappers
INSTALL_EXTRA_SWIG_PY=\
  $(MKDIR) $(DESTDIR)$(swig_pydir); \
  $(MKDIR) $(DESTDIR)$(swig_pydir_extra); \
  for i in $(abs_srcdir)/subversion/bindings/swig/python/svn/*.py; do \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir_extra); \
  done; \
  for i in $(abs_srcdir)/subversion/bindings/swig/python/*.py; do \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir); \
  done; \
  if test "$(abs_srcdir)" != "$(abs_builddir)"; then \
    for i in $(abs_builddir)/subversion/bindings/swig/python/*.py; do \
      $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir); \
    done; \
  fi; \
  $(PYTHON) -c 'import compileall; \
    compileall.compile_dir("$(DESTDIR)$(swig_pydir)", 1, "$(swig_pydir)"); \
    compileall.compile_dir("$(DESTDIR)$(swig_pydir_extra)", 1, \
    "$(swig_pydir_extra)");'

# The path to generated and complementary source files for the SWIG
# bindings.
SWIG_PL_DIR = $(abs_builddir)/subversion/bindings/swig/perl
SWIG_PY_DIR = $(abs_builddir)/subversion/bindings/swig/python
SWIG_RB_DIR = $(abs_builddir)/subversion/bindings/swig/ruby

# The path to the source files for the SWIG bindings
SWIG_PL_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/perl
SWIG_PY_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/python
SWIG_RB_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/ruby

### Automate JAR creation using Makefile generator's javahl-java.jar
### property.  Enhance generator to support JAR installation.
INSTALL_EXTRA_JAVAHL_JAVA=\
	$(JAR) cf subversion/bindings/java/javahl/svn-javahl.jar -C subversion/bindings/java/javahl/classes org; \
	$(INSTALL_DATA) subversion/bindings/java/javahl/svn-javahl.jar $(DESTDIR)$(javahl_javadir);

INSTALL_EXTRA_JAVAHL_LIB=

INSTALL_EXTRA_SWIG_RB=\
  @echo $(MKDIR) $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  $(MKDIR) $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  for i in $(abs_srcdir)/subversion/bindings/swig/ruby/svn/*.rb; do \
    echo $(INSTALL_DATA) "$$i" $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  done

APXS =  

PYTHON = /scratchbox/tools/bin/python
PERL = /scratchbox/tools/bin/perl

JDK = none
JAVA = 
JAVAC = none
JAVAC_FLAGS = 
JAVAH = none
JAR = none

JAVA_CLASSPATH=
javahl_java_CLASSPATH=$(JAVA_CLASSPATH)
javahl_tests_CLASSPATH=$(JAVA_CLASSPATH)

RUBY = none
RUBY_MAJOR = 
RUBY_MINOR = 
RDOC = 

ECHO_C = 
ECHO_N = -n

TESTS = $(TEST_PROGRAMS) 

all: external-all local-all
clean: external-clean local-clean
distclean: external-distclean local-distclean
extraclean: external-extraclean local-extraclean
install: external-install local-install revision-install

include $(top_srcdir)/build-outputs.mk

local-all: fsmod-lib ramod-lib lib bin test  dav-lib locale

locale-gnu-pot:
	cd $(abs_srcdir) && XGETTEXT="$(XGETTEXT)" MSGMERGE="$(MSGMERGE)" \
	  tools/po/po-update.sh pot

# "make locale-gnu-po-update" updates all translations.
# "make locale-gnu-po-update PO=ll" updates only the ll.po file.
locale-gnu-po-update:
	cd $(abs_srcdir) && XGETTEXT="$(XGETTEXT)" MSGMERGE="$(MSGMERGE)" \
	  tools/po/po-update.sh $(PO)

# clean everything but the bulky test output, returning the system back
# to before 'make' was run.
fast-clean: doc-clean
	@list='$(BUILD_DIRS)'; for i in $$list; do                   \
            echo "Cleaning $$i ..." ;                                \
            (cd $$i && rm -f *.o *.lo *.la *.la-a *.spo *.mo && \
             rm -rf .libs) ; \
        done
	rm -f $(CLEAN_FILES)
	find $(abs_srcdir) -name "*.pyc" -exec rm {} ';'

# clean all but bulky test output, returning to before './configure' was run.

=== BUILD/Makefile ===
#
# Makefile.in:  template Makefile for Subversion
#
# ====================================================================
# Copyright (c) 2000-2004 CollabNet.  All rights reserved.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at http://subversion.tigris.org/license-1.html.
# If newer versions of this license are posted there, you may use a
# newer version instead, at your option.
#
# This software consists of voluntary contributions made by many
# individuals.  For exact contribution history, see the revision
# history and logs, available at http://subversion.tigris.org/.
# ====================================================================
#

top_builddir = .
top_srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6
abs_builddir = /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD
abs_srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6

SVN_RA_LIB_DEPS = $(RA_LOCAL_DEPS) $(RA_SVN_DEPS) $(RA_DAV_DEPS)
SVN_RA_LIB_INSTALL_DEPS = install-ramod-lib install-dav-lib
SVN_RA_LIB_LINK = $(RA_LOCAL_LINK) $(RA_SVN_LINK) $(RA_DAV_LINK)

SVN_FS_LIB_DEPS = $(FS_FS_DEPS)
SVN_FS_LIB_INSTALL_DEPS = install-fsmod-lib
SVN_FS_LIB_LINK = $(FS_FS_LINK)

SWIG_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig
SWIG_BUILD_DIR = $(abs_builddir)/subversion/bindings/swig

SVN_EXTERNAL_PROJECT_SUBDIRS =  apr apr-util neon

SCHEMA_DIR = subversion/svn/schema

NEON_LIBS = $(abs_builddir)/neon/src/libneon.la
SVN_APR_LIBS =  /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/libapr-0.la -lrt -lm -lcrypt -lnsl  -lpthread -ldl
SVN_APRUTIL_LIBS =  /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/libaprutil-0.la /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib/libexpat.la
SVN_DB_LIBS =
SVN_SERF_LIBS = 

LIBS =  -lz

prefix = /usr/
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
fsmod_libdir = ${exec_prefix}/lib
ramod_libdir = ${exec_prefix}/lib
dav_libdir = ${exec_prefix}/lib
bdb_libdir = ${exec_prefix}/lib
serf_libdir = ${exec_prefix}/lib
bindir = ${exec_prefix}/bin
includedir = ${prefix}/include
mandir = ${prefix}/man
srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6
datadir = ${prefix}/share
localedir = ${datadir}/locale

# where to install libsvn_swig_*
swig_py_libdir = ${exec_prefix}/lib
swig_pl_libdir = ${exec_prefix}/lib
swig_rb_libdir = ${exec_prefix}/lib

### these possibly need further discussion
swig_pydir = ${exec_prefix}/lib/svn-python/libsvn
swig_pydir_extra = ${exec_prefix}/lib/svn-python/svn
swig_pldir = ${exec_prefix}/lib/svn-perl
swig_rbdir = $(SWIG_RB_SITE_ARCH_DIR)/svn/ext

javahl_javadir = ${exec_prefix}/lib/svn-javahl
javahl_javahdir = ${exec_prefix}/lib/svn-javahl/include
javahl_libdir = ${exec_prefix}/lib

MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMTFLAGS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
XGETTEXT = /scratchbox/tools/bin/xgettext
TRANG = none

PACKAGE_NAME=subversion
PACKAGE_VERSION=1.4.6

CC = gcc
CXX = g++
EXEEXT = 

SHELL = /bin/sh
LIBTOOL = $(SHELL) /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/libtool
LTFLAGS = --tag=CC --silent
LTCXXFLAGS = --tag=CXX --silent
LT_LDFLAGS = 
LT_NO_UNDEFINED = 
LT_CXX_LIBADD = 

INCLUDES = -I$(top_srcdir)/subversion/include -I$(top_builddir)/subversion \
           -I$(abs_srcdir)/neon/src -I/usr//include/neon   \
            -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include   -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib 

APACHE_INCLUDES = 
APACHE_TARGET = 
APACHE_LIBEXECDIR = $(DESTDIR)
APACHE_LDFLAGS = 

SWIG = /scratchbox/devkits/maemo3-tools/bin/swig
SWIG_PY_INCLUDES = $(SWIG_INCLUDES) -I/scratchbox/tools/include/python2.3 -I$(SWIG_SRC_DIR)/python/libsvn_swig_py
SWIG_PY_COMPILE = /scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC
SWIG_PY_LINK = /scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -pthread -shared
SWIG_PY_LIBS = 
SWIG_PL_INCLUDES = $(SWIG_INCLUDES)  -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DAPPLLIB_EXP="/host_usr/perl" -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE 
SWIG_RB_INCLUDES =  -I$(SWIG_SRC_DIR)/ruby/libsvn_swig_ruby
SWIG_RB_COMPILE = none
SWIG_RB_LINK = none
SWIG_RB_SITE_LIB_DIR = 
SWIG_RB_SITE_ARCH_DIR = 
SWIG_RB_TEST_VERBOSE = 
SWIG_RB_RI_DATADIR = $(DESTDIR)$(datadir)/ri/$(RUBY_MAJOR).$(RUBY_MINOR)/site

JAVAHL_INCLUDES= none -I$(abs_builddir)/subversion/bindings/java/javahl/include

SVN_APR_INCLUDES =  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include 
SVN_APR_PREFIX = /usr/
SVN_APRUTIL_INCLUDES =  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib
SVN_APRUTIL_PREFIX = 

SVN_SERF_INCLUDES = 
SVN_SERF_PREFIX = 

MKDIR = /scratchbox/tools/bin/install -c -d

# The EXTRA_ parameters can be used to pass extra flags at 'make' time.
CFLAGS = -g -O2  -g -O2 -pthread  -D_LARGEFILE64_SOURCE -DNE_LFS $(EXTRA_CFLAGS)
### A few of the CFLAGS (e.g. -Wmissing-prototypes, -Wstrict-prototypes,
### -Wmissing-declarations) are not valid for C++, and should be somehow
### suppressed (but they may come from httpd or APR).
CPPFLAGS =   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE $(EXTRA_CPPFLAGS)
LDFLAGS =     -L/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib $(EXTRA_LDFLAGS)

COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) $(INCLUDES)
COMPILE_CXX = $(CXX) $(CPPFLAGS) $(CFLAGS) $(CXXFLAGS) $(INCLUDES)
LT_COMPILE = $(LIBTOOL) $(LTFLAGS) --mode=compile $(COMPILE)

# special compilation for files destined for mod_dav_svn
COMPILE_APACHE_MOD = $(LIBTOOL) $(LTFLAGS) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(APACHE_INCLUDES) $(INCLUDES) -o $@ -c

# special compilation for files destined for libsvn_swig_* (e.g. swigutil_*.c)
COMPILE_SWIG_PY = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_PY_COMPILE) $(CPPFLAGS) -DSWIGPYTHON $(CFLAGS) $(SWIG_PY_INCLUDES) $(INCLUDES) -o $@ -c
COMPILE_SWIG_PL = $(LIBTOOL) $(LTFLAGS) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(SWIG_PL_INCLUDES) $(INCLUDES) -o $@ -c
COMPILE_SWIG_RB = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_RB_COMPILE) $(CPPFLAGS) $(CFLAGS) $(SWIG_RB_INCLUDES) $(INCLUDES) -o $@ -c

# special compilation for files destined for javahl (i.e. C++)
COMPILE_JAVAHL_CXX = $(LIBTOOL) $(LTCXXFLAGS) --mode=compile $(COMPILE_CXX) $(JAVAHL_INCLUDES) -o $@ -c
COMPILE_JAVAHL_JAVAC = $(JAVAC) $(JAVAC_FLAGS)
COMPILE_JAVAHL_JAVAH = $(JAVAH)

LINK = $(LIBTOOL) $(LTFLAGS) --mode=link $(CC) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) -rpath $(libdir)

# special link rule for mod_dav_svn
LINK_APACHE_MOD = $(LIBTOOL) $(LTFLAGS) --mode=link $(CC) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) -rpath $(APACHE_LIBEXECDIR) -avoid-version -module $(APACHE_LDFLAGS)

# Compilation of SWIG-generated C source code
COMPILE_PY_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_PY_COMPILE) $(CPPFLAGS) $(SWIG_INCLUDES) $(SWIG_PY_INCLUDES) -prefer-pic -c -o $@
COMPILE_RB_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_RB_COMPILE) $(CPPFLAGS) $(SWIG_INCLUDES) $(SWIG_RB_INCLUDES) -prefer-pic -c -o $@

# these commands link the wrapper objects into an extension library/module
LINK_PY_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=link $(SWIG_PY_LINK) $(SWIG_LDFLAGS) -rpath $(swig_pydir) -avoid-version -module
LINK_RB_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=link $(SWIG_RB_LINK) $(SWIG_LDFLAGS) -rpath $(swig_rbdir) -avoid-version -module

LINK_JAVAHL_CXX = $(LIBTOOL) $(LTCXXFLAGS) --mode=link $(CXX) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) $(LT_CXX_LIBADD) -rpath $(libdir)

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_LIB = $(LIBTOOL) --mode=install $(INSTALL)
INSTALL_FSMOD_LIB = $(INSTALL_LIB)
INSTALL_RAMOD_LIB = $(INSTALL_LIB)
INSTALL_BDB_LIB = $(INSTALL_LIB)
INSTALL_DAV_LIB = $(INSTALL_LIB)
INSTALL_SERF_LIB = $(INSTALL_LIB)
INSTALL_BIN = $(LIBTOOL) --mode=install $(INSTALL)
INSTALL_INCLUDE = $(INSTALL) -m 644
INSTALL_MOD_SHARED = no -i -S LIBEXECDIR="$(APACHE_LIBEXECDIR)" -a
INSTALL_MOD_STATIC = $(INSTALL) -m 644
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_LOCALE = $(INSTALL_DATA)

### this isn't correct yet
INSTALL_SWIG_PY = $(INSTALL_LIB)
INSTALL_SWIG_PY_LIB = $(INSTALL_LIB)
INSTALL_SWIG_PL_LIB = $(INSTALL_LIB)
INSTALL_SWIG_RB = $(INSTALL_LIB)
INSTALL_SWIG_RB_LIB = $(INSTALL_LIB)

INSTALL_JAVAHL_LIB = $(INSTALL_LIB)

# additional installation rules for the SWIG wrappers
INSTALL_EXTRA_SWIG_PY=\
  $(MKDIR) $(DESTDIR)$(swig_pydir); \
  $(MKDIR) $(DESTDIR)$(swig_pydir_extra); \
  for i in $(abs_srcdir)/subversion/bindings/swig/python/svn/*.py; do \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir_extra); \
  done; \
  for i in $(abs_srcdir)/subversion/bindings/swig/python/*.py; do \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir); \
  done; \
  if test "$(abs_srcdir)" != "$(abs_builddir)"; then \
    for i in $(abs_builddir)/subversion/bindings/swig/python/*.py; do \
      $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir); \
    done; \
  fi; \
  $(PYTHON) -c 'import compileall; \
    compileall.compile_dir("$(DESTDIR)$(swig_pydir)", 1, "$(swig_pydir)"); \
    compileall.compile_dir("$(DESTDIR)$(swig_pydir_extra)", 1, \
    "$(swig_pydir_extra)");'

# The path to generated and complementary source files for the SWIG
# bindings.
SWIG_PL_DIR = $(abs_builddir)/subversion/bindings/swig/perl
SWIG_PY_DIR = $(abs_builddir)/subversion/bindings/swig/python
SWIG_RB_DIR = $(abs_builddir)/subversion/bindings/swig/ruby

# The path to the source files for the SWIG bindings
SWIG_PL_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/perl
SWIG_PY_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/python
SWIG_RB_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/ruby

### Automate JAR creation using Makefile generator's javahl-java.jar
### property.  Enhance generator to support JAR installation.
INSTALL_EXTRA_JAVAHL_JAVA=\
	$(JAR) cf subversion/bindings/java/javahl/svn-javahl.jar -C subversion/bindings/java/javahl/classes org; \
	$(INSTALL_DATA) subversion/bindings/java/javahl/svn-javahl.jar $(DESTDIR)$(javahl_javadir);

INSTALL_EXTRA_JAVAHL_LIB=

INSTALL_EXTRA_SWIG_RB=\
  @echo $(MKDIR) $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  $(MKDIR) $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  for i in $(abs_srcdir)/subversion/bindings/swig/ruby/svn/*.rb; do \
    echo $(INSTALL_DATA) "$$i" $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  done

APXS = no 

PYTHON = /usr/bin/python
PERL = /scratchbox/tools/bin/perl

JDK = none
JAVA = 
JAVAC = none
JAVAC_FLAGS = 
JAVAH = none
JAR = none

JAVA_CLASSPATH=
javahl_java_CLASSPATH=$(JAVA_CLASSPATH)
javahl_tests_CLASSPATH=$(JAVA_CLASSPATH)

RUBY = none
RUBY_MAJOR = 
RUBY_MINOR = 
RDOC = 

ECHO_C = 
ECHO_N = -n

TESTS = $(TEST_PROGRAMS) 

all: external-all local-all
clean: external-clean local-clean
distclean: external-distclean local-distclean
extraclean: external-extraclean local-extraclean
install: external-install local-install revision-install

include $(top_srcdir)/build-outputs.mk

local-all: fsmod-lib ramod-lib lib bin test  dav-lib locale

locale-gnu-pot:
	cd $(abs_srcdir) && XGETTEXT="$(XGETTEXT)" MSGMERGE="$(MSGMERGE)" \
	  tools/po/po-update.sh pot

# "make locale-gnu-po-update" updates all translations.
# "make locale-gnu-po-update PO=ll" updates only the ll.po file.

=== apr-util/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Top-level Makefile for APRUTIL
#
CPP = gcc -E

# gets substituted into some targets
APRUTIL_MAJOR_VERSION=0
APRUTIL_DOTTED_VERSION=0.9.16

srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  
APRUTIL_LDFLAGS = 
APRUTIL_LIBS = /usr/lib/libexpat.la /home/michael/svn_mehr_scratch/subversion-1.4.6/apr/libapr-0.la -lrt -lm -lcrypt -lnsl -lpthread -ldl

TARGET_LIB = libaprutil-${APRUTIL_MAJOR_VERSION}.la
INSTALL_SUBDIRS = 

TARGETS = delete-lib $(TARGET_LIB) delete-exports aprutil.exp export_vars.h

# bring in rules.mk for standard functionality
include ./build/rules.mk

SUBDIRS = buckets crypto dbm encoding hooks ldap uri xml misc strmatch xlate
CLEAN_SUBDIRS = test

CLEAN_TARGETS = exports.c export_vars.h aprutil.exp apu-config.out
DISTCLEAN_TARGETS = config.cache config.log config.status libtool \
	include/private/apu_config.h include/private/apu_private.h \
	include/private/apu_select_dbm.h include/apr_ldap.h include/apu.h \
	export_vars.sh apu-config build/rules.mk include/apu_want.h
EXTRACLEAN_TARGETS = configure aclocal.m4 include/private/apu_config.h.in

prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include/apr-${APRUTIL_MAJOR_VERSION}
top_srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util
top_blddir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util

EXPORT_FILES = $(top_srcdir)/include/*.h

delete-lib:
	@if test -f $(TARGET_LIB); then \
	    objects="`find $(SUBDIRS) -name expat -prune -o -name '*.lo' -a -newer $(TARGET_LIB) -print`" ; \
	    if test -n "$$objects"; then \
		echo Found newer objects. Will relink $(TARGET_LIB). ; \
		echo $(RM) -f $(TARGET_LIB) ; \
		$(RM) -f $(TARGET_LIB) ; \
	    fi; \
	fi

apu-config.out: apu-config
	sed 's,^\(location=\).*$$,\1installed,' < apu-config > $@

install: $(TARGET_LIB) apu-config.out
install: $(TARGET_LIB)
	if [ ! -d $(DESTDIR)$(includedir) ]; then \
	    $(APR_MKDIR) $(DESTDIR)$(includedir); \
	fi;
	cp -p $(top_srcdir)/include/*.h $(DESTDIR)$(includedir)

	if [ -n "$(top_blddir)" ]; then \
		cp -p $(top_blddir)/include/*.h $(DESTDIR)$(includedir); \
	fi;
	if [ ! -d $(DESTDIR)$(libdir) ]; then \
	    $(APR_MKDIR) $(DESTDIR)$(libdir); \
	fi;
	list='$(INSTALL_SUBDIRS)'; for i in $$list; do \
		( cd $$i ; $(MAKE) DESTDIR=$(DESTDIR) install ); \
	done
	$(LIBTOOL) --mode=install cp $(TARGET_LIB) $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install cp aprutil.exp $(DESTDIR)$(libdir)
	if [ ! -d $(DESTDIR)$(bindir) ]; then \
		$(APR_MKDIR) $(DESTDIR)$(bindir); \
	fi;
	$(LIBTOOL) --mode=install cp apu-config.out $(DESTDIR)$(bindir)/apu-config
	chmod 755 $(DESTDIR)$(bindir)/apu-config

$(TARGET_LIB):
	@objects="`find $(SUBDIRS) -name expat -prune -o -name 'gen_uri_delims.lo' -prune -o -name '*.lo' -print`"; \
	    tmpcmd="$(LINK) -rpath $(libdir) $$objects "; \
	    echo $$tmpcmd; \
	    $$tmpcmd && touch $@

delete-exports:
	@if test -f aprutil.exp; then \
	    headers="`find include/*.h -newer aprutil.exp -print`" ; \
	    if test -n "$$headers"; then \
		echo Found newer headers. Will rebuild aprutil.exp. ; \
		echo $(RM) -f aprutil.exp ; \
		$(RM) -f aprutil.exp ; \
	    fi \
	fi

exports.c:
	$(APR_MKEXPORT) $(EXPORT_FILES) > $@

export_vars.h:
	$(APR_MKVAREXPORT) $(EXPORT_FILES) > $@

aprutil.exp: exports.c export_vars.h
	@echo "#! libaprutil-${APRUTIL_MAJOR_VERSION}.so" > $@
	@echo "* This file was AUTOGENERATED at build time." >> $@
	@echo "* Please do not edit by hand." >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/\1/' >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' >> $@

dox:
	doxygen $(top_srcdir)/docs/doxygen.conf

check: $(TARGET_LIB)
	(cd test && $(MAKE) check)


.PHONY: delete-lib delete-exports
.NOTPARALLEL: delete-lib delete-exports

=== apr/Makefile ===
#
# APR (Apache Portable Runtime) library Makefile.
#
CPP = gcc -E

# get substituted into some targets
APR_MAJOR_VERSION=0

#
# Macros for supporting directories
#
INCDIR=./include
INCDIR1=../include
INCLUDES=-I$(INCDIR) -I$(INCDIR1)

#
# Macros for target determination
#
SUBDIRS=strings passwd tables  file_io/unix  network_io/unix  threadproc/unix  misc/unix  locks/unix  time/unix  mmap/unix  shmem/unix  user/unix  memory/unix  atomic/unix  poll/unix  support/unix  dso/unix 
CLEAN_SUBDIRS= . test build
INSTALL_SUBDIRS=none

TARGET_LIB = libapr-${APR_MAJOR_VERSION}.la

#
# Rules for building specific targets, starting with 'all' for
# building the entire package.
#
TARGETS = delete-lib $(TARGET_LIB) delete-exports export_vars.c apr.exp

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr/build/apr_rules.mk

CLEAN_TARGETS = apr.exp exports.c export_vars.c apr-config.out \
	build/apr_rules.out
DISTCLEAN_TARGETS = config.cache config.log config.status \
	include/apr.h include/arch/unix/apr_private.h \
	libtool apr-config
EXTRACLEAN_TARGETS = configure aclocal.m4 include/arch/unix/apr_private.h.in

prefix=/usr
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include/apr-${APR_MAJOR_VERSION}
installbuilddir=${prefix}/build
srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr
VPATH=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr
top_srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr
top_blddir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr

EXPORT_FILES = $(top_srcdir)/include/*.h

delete-lib:
	@if test -f $(TARGET_LIB); then \
	    for i in $(SUBDIRS); do objects="$$objects $$i/*.lo"; done ; \
	    if test -n "`find $$objects -newer $(TARGET_LIB)`"; then \
		echo Found newer objects. Will relink $(TARGET_LIB). ; \
		echo $(RM) -f $(TARGET_LIB) ; \
		$(RM) -f $(TARGET_LIB) ; \
	    fi \
	fi

# Create apr-config script suitable for the install tree
apr-config.out: apr-config
	sed 's,^\(location=\).*$$,\1installed,' < apr-config > $@

# Create apr_rules.mk suitable for the install tree
build/apr_rules.out: build/apr_rules.mk
	sed 's,^\(apr_build.*=\).*$$,\1$(installbuilddir),' < build/apr_rules.mk > $@

install: $(TARGET_LIB) apr-config.out build/apr_rules.out
	if [ ! -d $(DESTDIR)$(includedir) ]; then \
	    $(top_srcdir)/build/mkdir.sh $(DESTDIR)$(includedir); \
	fi;
	cp -p $(top_srcdir)/include/*.h $(DESTDIR)$(includedir);

	if test -n "$(top_blddir)"; then \
	    cp -p $(top_blddir)/include/*.h $(DESTDIR)$(includedir); \
	fi;
	if [ ! -d $(DESTDIR)$(libdir) ]; then \
	    $(top_srcdir)/build/mkdir.sh $(DESTDIR)$(libdir); \
	fi;
	$(LIBTOOL) --mode=install cp $(TARGET_LIB) $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install cp apr.exp $(DESTDIR)$(libdir)
	if [ ! -d $(DESTDIR)$(installbuilddir) ]; then \
	   	$(top_srcdir)/build/mkdir.sh $(DESTDIR)$(installbuilddir); \
	fi; 
	if [ -f libtool ]; then \
		$(LIBTOOL) --mode=install cp libtool $(DESTDIR)$(installbuilddir); \
	fi;
	if [ -f shlibtool ]; then \
		$(LIBTOOL) --mode=install cp shlibtool $(DESTDIR)$(installbuilddir); \
	fi;
	for f in mkdir.sh make_exports.awk make_var_export.awk; do \
	        cp $(top_srcdir)/build/$${f} $(DESTDIR)$(installbuilddir); \
	done
	cp build/apr_rules.out $(DESTDIR)$(installbuilddir)/apr_rules.mk
	if [ ! -d $(DESTDIR)$(bindir) ]; then \
	    $(top_srcdir)/build/mkdir.sh $(DESTDIR)$(bindir); \
	fi;
	$(LIBTOOL) --mode=install cp apr-config.out $(DESTDIR)$(bindir)/apr-config
	chmod 755 $(DESTDIR)$(bindir)/apr-config
	@if [ $(INSTALL_SUBDIRS) != "none" ]; then \
            for i in $(INSTALL_SUBDIRS); do \
	        ( cd $$i ; $(MAKE) DESTDIR=$(DESTDIR) install ); \
	    done \
	fi

$(TARGET_LIB):
	@for i in $(SUBDIRS); do objects="$$objects $$i/*.lo"; done ; \
	    tmpcmd="$(LINK) -rpath $(libdir) $$objects $(ALL_LIBS)"; \
	    echo $$tmpcmd; \
	    $$tmpcmd && touch $@

delete-exports:
	@if test -f apr.exp; then \
	    headers="`find include/*.h -newer apr.exp`" ; \
	    if test -n "$$headers"; then \
		echo Found newer headers. Will rebuild apr.exp. ; \
		echo $(RM) -f apr.exp exports.c export_vars.h ; \
		$(RM) -f apr.exp exports.c export_vars.h ; \
	    fi \
	fi

exports.c:
	$(APR_MKEXPORT) $(EXPORT_FILES) > $@

export_vars.c:
	$(APR_MKVAREXPORT) $(EXPORT_FILES) > $@

apr.exp: exports.c export_vars.c
	@echo "#! libapr-${APR_MAJOR_VERSION}.so" > $@
	@echo "* This file was AUTOGENERATED at build time." >> $@
	@echo "* Please do not edit by hand." >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/\1/' >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.c | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' >> $@

dox:
	doxygen $(top_srcdir)/docs/doxygen.conf

check: $(TARGET_LIB)
	(cd test && $(MAKE) check)

# DO NOT REMOVE
docs: $(INCDIR)/*.h

.PHONY: delete-lib delete-exports
.NOTPARALLEL: delete-lib delete-exports

=== neon/Makefile ===
# Copyright (C) 2001-2005 Joe Orton <joe@manyfish.co.uk>
# Copyright (C) 1994, 1995-8, 1999, 2000 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# libtool bits mostly stolen from libxml and libtool/demo

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
datadir = ${prefix}/share
docdir = $(datadir)/doc/neon-0.25.5
includedir = ${prefix}/include
neonincludes = $(includedir)/neon
pkgconfigdir = $(libdir)/pkgconfig

top_srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/neon
top_builddir = .
srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/neon
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/neon



LDFLAGS = -L. 
LIBS = 
CC = gcc
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL = /scratchbox/tools/bin/install -c
transform = s,x,x,

LIBTOOL = $(SHELL) $(top_builddir)/libtool

XMLTO = xmlto
GCOV = gcov

# The headers to distribute - making up the public interface of neon
DIST_HEADERS = ne_request.h ne_session.h ne_utils.h ne_uri.h ne_socket.h  \
	ne_basic.h ne_207.h ne_props.h ne_xml.h ne_dates.h ne_string.h	  \
	ne_defs.h ne_locks.h ne_alloc.h ne_md5.h ne_i18n.h ne_redirect.h  \
	ne_auth.h ne_compress.h ne_acl.h ne_ssl.h ne_xmlreq.h

all: subdirs

check: subdirs
	@cd test && $(MAKE) check

# Useful for doing coverage analysis; use e.g.:
#   make TESTS=string-tests MODULE=ne_string.c cover
cover: subdirs
	@rm -f src/*.*da test/common/*.*da test/*.*da
	@cd test && $(MAKE) check
	@cd src && $(GCOV) -cb $(MODULE)

# as per 'cover' target; prints list of functions without 100% coverage 
uncover: subdirs
	@rm -f src/*.*da test/common/*.*da test/*.*da
	@cd test && $(MAKE) check
	@cd src && $(GCOV) -cb $(MODULE)
	@grep ^function src/$(MODULE).gcov | grep -v 'executed 100' | sort -nr -k 9,9

subdirs:
	@cd src && $(MAKE)

# Uses Tim Waugh's excellent "xmlto" utility, see
# http://cyberelk.net/tim/xmlto/.  (The docs target is executed at release
# time before generating a .tar.gz)
docs: docs-man docs-html

docs-man:
	rm -rf doc/man; mkdir doc/man
	$(XMLTO) -o `pwd`/doc/man man doc/manual.xml

docs-pdf:
	$(XMLTO) -o `pwd`/doc pdf doc/manual.xml

docs-ps:
	$(XMLTO) -o `pwd`/doc ps doc/manual.xml

docs-html:
	test -d doc/html && rm -rf doc/html || true
	mkdir doc/html
	$(XMLTO) -o `pwd`/doc/html -x doc/html.xsl html doc/manual.xml

# Validate the manual source
docs-valid:
	xmllint --noout --valid doc/manual.xml

clean:
	@cd src && $(MAKE) clean
	@cd test && $(MAKE) clean

distclean: clean
	rm -rf Makefile config.h neon.pc config.status src/Makefile libtool config.log config.cache neon-config autom4te*.cache test/Makefile

again: clean

Makefile: Makefile.in
	@./config.status Makefile

neon-config: neon-config.in
	@./config.status neon-config

install-docs: install-man install-html

install-html:
	$(INSTALL) -d $(DESTDIR)$(docdir)/html
	for d in $(srcdir)/doc/html/*.html; do \
		$(INSTALL_DATA) $$d $(DESTDIR)$(docdir)/html; \
	done

install-man:
	$(INSTALL) -d $(DESTDIR)$(man3dir)
	$(INSTALL) -d $(DESTDIR)$(man1dir)
	for m in $(srcdir)/doc/man/*.3; do \
	 $(INSTALL_DATA) $$m $(DESTDIR)$(man3dir); done
	for m in $(srcdir)/doc/man/*.1; do \
	 $(INSTALL_DATA) $$m $(DESTDIR)$(man1dir); done

install: install-yes

install-memleak:
	@echo "ERROR: The neon internal memory leak checking code is for testing"
	@echo "ERROR: purposes only; this copy of neon must not be installed."
	@false

install-yes: install-lib install-headers install-config install-docs

# libtool does all the necessary magic here
install-lib: subdirs
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) src/libneon.la \
		$(DESTDIR)$(libdir)/libneon.la

install-headers:
	$(INSTALL) -d $(DESTDIR)$(neonincludes)
	@for h in $(DIST_HEADERS); do \
		echo Installing $$h into $(DESTDIR)$(neonincludes); \
		$(INSTALL_DATA) $(srcdir)/src/$$h $(DESTDIR)$(neonincludes)/$$h \
			|| exit 1; \
	done

install-config: neon-config neon.pc
	$(INSTALL) -d $(DESTDIR)$(bindir)
	@echo Installing neon-config into $(DESTDIR)$(bindir)
	@$(INSTALL_SCRIPT) neon-config \
		$(DESTDIR)$(bindir)/`echo neon-config|sed '$(transform)'`
	$(INSTALL) -d $(DESTDIR)$(pkgconfigdir)
	$(INSTALL_DATA) neon.pc $(DESTDIR)$(pkgconfigdir)/neon.pc

install-tests: install-lib
	@cd test && make install

ChangeLog:
	svn log > $@

=== BUILD/apr-util/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Top-level Makefile for APRUTIL
#
CPP = gcc -E

# gets substituted into some targets
APRUTIL_MAJOR_VERSION=0
APRUTIL_DOTTED_VERSION=0.9.16

srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/include/private -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib
APRUTIL_LDFLAGS = -L/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib
APRUTIL_LIBS = /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib/libexpat.la /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/libapr-0.la -lrt -lm -lcrypt -lnsl -lpthread -ldl

TARGET_LIB = libaprutil-${APRUTIL_MAJOR_VERSION}.la
INSTALL_SUBDIRS = xml/expat

TARGETS = delete-lib $(TARGET_LIB) delete-exports aprutil.exp export_vars.h

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/build/rules.mk

SUBDIRS = buckets crypto dbm encoding hooks ldap uri xml misc strmatch xlate
CLEAN_SUBDIRS = test

CLEAN_TARGETS = exports.c export_vars.h aprutil.exp apu-config.out
DISTCLEAN_TARGETS = config.cache config.log config.status libtool \
	include/private/apu_config.h include/private/apu_private.h \
	include/private/apu_select_dbm.h include/apr_ldap.h include/apu.h \
	export_vars.sh apu-config build/rules.mk include/apu_want.h
EXTRACLEAN_TARGETS = configure aclocal.m4 include/private/apu_config.h.in

prefix=/usr/
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include/apr-${APRUTIL_MAJOR_VERSION}
top_srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util
top_blddir=/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util

EXPORT_FILES = $(top_srcdir)/include/*.h

delete-lib:
	@if test -f $(TARGET_LIB); then \
	    objects="`find $(SUBDIRS) -name expat -prune -o -name '*.lo' -a -newer $(TARGET_LIB) -print`" ; \
	    if test -n "$$objects"; then \
		echo Found newer objects. Will relink $(TARGET_LIB). ; \
		echo $(RM) -f $(TARGET_LIB) ; \
		$(RM) -f $(TARGET_LIB) ; \
	    fi; \
	fi

apu-config.out: apu-config
	sed 's,^\(location=\).*$$,\1installed,' < apu-config > $@

install: $(TARGET_LIB) apu-config.out
install: $(TARGET_LIB)
	if [ ! -d $(DESTDIR)$(includedir) ]; then \
	    $(APR_MKDIR) $(DESTDIR)$(includedir); \
	fi;
	cp -p $(top_srcdir)/include/*.h $(DESTDIR)$(includedir)

	if [ -n "$(top_blddir)" ]; then \
		cp -p $(top_blddir)/include/*.h $(DESTDIR)$(includedir); \
	fi;
	if [ ! -d $(DESTDIR)$(libdir) ]; then \
	    $(APR_MKDIR) $(DESTDIR)$(libdir); \
	fi;
	list='$(INSTALL_SUBDIRS)'; for i in $$list; do \
		( cd $$i ; $(MAKE) DESTDIR=$(DESTDIR) install ); \
	done
	$(LIBTOOL) --mode=install cp $(TARGET_LIB) $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install cp aprutil.exp $(DESTDIR)$(libdir)
	if [ ! -d $(DESTDIR)$(bindir) ]; then \
		$(APR_MKDIR) $(DESTDIR)$(bindir); \
	fi;
	$(LIBTOOL) --mode=install cp apu-config.out $(DESTDIR)$(bindir)/apu-config
	chmod 755 $(DESTDIR)$(bindir)/apu-config

$(TARGET_LIB):
	@objects="`find $(SUBDIRS) -name expat -prune -o -name 'gen_uri_delims.lo' -prune -o -name '*.lo' -print`"; \
	    tmpcmd="$(LINK) -rpath $(libdir) $$objects "; \
	    echo $$tmpcmd; \
	    $$tmpcmd && touch $@

delete-exports:
	@if test -f aprutil.exp; then \
	    headers="`find include/*.h -newer aprutil.exp -print`" ; \
	    if test -n "$$headers"; then \
		echo Found newer headers. Will rebuild aprutil.exp. ; \
		echo $(RM) -f aprutil.exp ; \
		$(RM) -f aprutil.exp ; \
	    fi \
	fi

exports.c:
	$(APR_MKEXPORT) $(EXPORT_FILES) > $@

export_vars.h:
	$(APR_MKVAREXPORT) $(EXPORT_FILES) > $@

aprutil.exp: exports.c export_vars.h
	@echo "#! libaprutil-${APRUTIL_MAJOR_VERSION}.so" > $@
	@echo "* This file was AUTOGENERATED at build time." >> $@
	@echo "* Please do not edit by hand." >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/\1/' >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' >> $@

dox:
	doxygen $(top_srcdir)/docs/doxygen.conf

check: $(TARGET_LIB)
	(cd test && $(MAKE) check)


.PHONY: delete-lib delete-exports
.NOTPARALLEL: delete-lib delete-exports

=== BUILD/apr/Makefile ===
#
# APR (Apache Portable Runtime) library Makefile.
#
CPP = gcc -E

# get substituted into some targets
APR_MAJOR_VERSION=0

#
# Macros for supporting directories
#
INCDIR=./include
INCDIR1=../include
INCLUDES=-I$(INCDIR) -I$(srcdir)/$(INCDIR) -I$(INCDIR1) -I$(srcdir)/$(INCDIR1)

#
# Macros for target determination
#
SUBDIRS=strings passwd tables  file_io/unix  network_io/unix  threadproc/unix  misc/unix  locks/unix  time/unix  mmap/unix  shmem/unix  user/unix  memory/unix  atomic/unix  poll/unix  support/unix  dso/unix 
CLEAN_SUBDIRS= . test build
INSTALL_SUBDIRS=none

TARGET_LIB = libapr-${APR_MAJOR_VERSION}.la

#
# Rules for building specific targets, starting with 'all' for
# building the entire package.
#
TARGETS = delete-lib $(TARGET_LIB) delete-exports export_vars.c apr.exp

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/build/apr_rules.mk

CLEAN_TARGETS = apr.exp exports.c export_vars.c apr-config.out \
	build/apr_rules.out
DISTCLEAN_TARGETS = config.cache config.log config.status \
	include/apr.h include/arch/unix/apr_private.h \
	libtool apr-config
EXTRACLEAN_TARGETS = configure aclocal.m4 include/arch/unix/apr_private.h.in

prefix=/usr/
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include/apr-${APR_MAJOR_VERSION}
installbuilddir=${prefix}/build
srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr
VPATH=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr
top_srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr
top_blddir=/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr

EXPORT_FILES = $(top_srcdir)/include/*.h

delete-lib:
	@if test -f $(TARGET_LIB); then \
	    for i in $(SUBDIRS); do objects="$$objects $$i/*.lo"; done ; \
	    if test -n "`find $$objects -newer $(TARGET_LIB)`"; then \
		echo Found newer objects. Will relink $(TARGET_LIB). ; \
		echo $(RM) -f $(TARGET_LIB) ; \
		$(RM) -f $(TARGET_LIB) ; \
	    fi \
	fi

# Create apr-config script suitable for the install tree
apr-config.out: apr-config
	sed 's,^\(location=\).*$$,\1installed,' < apr-config > $@

# Create apr_rules.mk suitable for the install tree
build/apr_rules.out: build/apr_rules.mk
	sed 's,^\(apr_build.*=\).*$$,\1$(installbuilddir),' < build/apr_rules.mk > $@

install: $(TARGET_LIB) apr-config.out build/apr_rules.out
	if [ ! -d $(DESTDIR)$(includedir) ]; then \
	    $(top_srcdir)/build/mkdir.sh $(DESTDIR)$(includedir); \
	fi;
	cp -p $(top_srcdir)/include/*.h $(DESTDIR)$(includedir);

	if test -n "$(top_blddir)"; then \
	    cp -p $(top_blddir)/include/*.h $(DESTDIR)$(includedir); \
	fi;
	if [ ! -d $(DESTDIR)$(libdir) ]; then \
	    $(top_srcdir)/build/mkdir.sh $(DESTDIR)$(libdir); \
	fi;
	$(LIBTOOL) --mode=install cp $(TARGET_LIB) $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install cp apr.exp $(DESTDIR)$(libdir)
	if [ ! -d $(DESTDIR)$(installbuilddir) ]; then \
	   	$(top_srcdir)/build/mkdir.sh $(DESTDIR)$(installbuilddir); \
	fi; 
	if [ -f libtool ]; then \
		$(LIBTOOL) --mode=install cp libtool $(DESTDIR)$(installbuilddir); \
	fi;
	if [ -f shlibtool ]; then \
		$(LIBTOOL) --mode=install cp shlibtool $(DESTDIR)$(installbuilddir); \
	fi;
	for f in mkdir.sh make_exports.awk make_var_export.awk; do \
	        cp $(top_srcdir)/build/$${f} $(DESTDIR)$(installbuilddir); \
	done
	cp build/apr_rules.out $(DESTDIR)$(installbuilddir)/apr_rules.mk
	if [ ! -d $(DESTDIR)$(bindir) ]; then \
	    $(top_srcdir)/build/mkdir.sh $(DESTDIR)$(bindir); \
	fi;
	$(LIBTOOL) --mode=install cp apr-config.out $(DESTDIR)$(bindir)/apr-config
	chmod 755 $(DESTDIR)$(bindir)/apr-config
	@if [ $(INSTALL_SUBDIRS) != "none" ]; then \
            for i in $(INSTALL_SUBDIRS); do \
	        ( cd $$i ; $(MAKE) DESTDIR=$(DESTDIR) install ); \
	    done \
	fi

$(TARGET_LIB):
	@for i in $(SUBDIRS); do objects="$$objects $$i/*.lo"; done ; \
	    tmpcmd="$(LINK) -rpath $(libdir) $$objects $(ALL_LIBS)"; \
	    echo $$tmpcmd; \
	    $$tmpcmd && touch $@

delete-exports:
	@if test -f apr.exp; then \
	    headers="`find include/*.h -newer apr.exp`" ; \
	    if test -n "$$headers"; then \
		echo Found newer headers. Will rebuild apr.exp. ; \
		echo $(RM) -f apr.exp exports.c export_vars.h ; \
		$(RM) -f apr.exp exports.c export_vars.h ; \
	    fi \
	fi

exports.c:
	$(APR_MKEXPORT) $(EXPORT_FILES) > $@

export_vars.c:
	$(APR_MKVAREXPORT) $(EXPORT_FILES) > $@

apr.exp: exports.c export_vars.c
	@echo "#! libapr-${APR_MAJOR_VERSION}.so" > $@
	@echo "* This file was AUTOGENERATED at build time." >> $@
	@echo "* Please do not edit by hand." >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/\1/' >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.c | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' >> $@

dox:
	doxygen $(top_srcdir)/docs/doxygen.conf

check: $(TARGET_LIB)
	(cd test && $(MAKE) check)

# DO NOT REMOVE
docs: $(INCDIR)/*.h

.PHONY: delete-lib delete-exports
.NOTPARALLEL: delete-lib delete-exports

=== BUILD/neon/Makefile ===
# Copyright (C) 2001-2005 Joe Orton <joe@manyfish.co.uk>
# Copyright (C) 1994, 1995-8, 1999, 2000 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# libtool bits mostly stolen from libxml and libtool/demo

SHELL = /bin/sh

prefix = /usr/
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
datadir = ${prefix}/share
docdir = $(datadir)/doc/neon-0.25.5
includedir = ${prefix}/include
neonincludes = $(includedir)/neon
pkgconfigdir = $(libdir)/pkgconfig

top_srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/neon
top_builddir = .
srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/neon
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/neon



LDFLAGS = -L. 
LIBS = 
CC = gcc
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL = /scratchbox/tools/bin/install -c
transform = s,x,x,

LIBTOOL = $(SHELL) $(top_builddir)/libtool

XMLTO = xmlto
GCOV = gcov

# The headers to distribute - making up the public interface of neon
DIST_HEADERS = ne_request.h ne_session.h ne_utils.h ne_uri.h ne_socket.h  \
	ne_basic.h ne_207.h ne_props.h ne_xml.h ne_dates.h ne_string.h	  \
	ne_defs.h ne_locks.h ne_alloc.h ne_md5.h ne_i18n.h ne_redirect.h  \
	ne_auth.h ne_compress.h ne_acl.h ne_ssl.h ne_xmlreq.h

all: subdirs

check: subdirs
	@cd test && $(MAKE) check

# Useful for doing coverage analysis; use e.g.:
#   make TESTS=string-tests MODULE=ne_string.c cover
cover: subdirs
	@rm -f src/*.*da test/common/*.*da test/*.*da
	@cd test && $(MAKE) check
	@cd src && $(GCOV) -cb $(MODULE)

# as per 'cover' target; prints list of functions without 100% coverage 
uncover: subdirs
	@rm -f src/*.*da test/common/*.*da test/*.*da
	@cd test && $(MAKE) check
	@cd src && $(GCOV) -cb $(MODULE)
	@grep ^function src/$(MODULE).gcov | grep -v 'executed 100' | sort -nr -k 9,9

subdirs:
	@cd src && $(MAKE)

# Uses Tim Waugh's excellent "xmlto" utility, see
# http://cyberelk.net/tim/xmlto/.  (The docs target is executed at release
# time before generating a .tar.gz)
docs: docs-man docs-html

docs-man:
	rm -rf doc/man; mkdir doc/man
	$(XMLTO) -o `pwd`/doc/man man doc/manual.xml

docs-pdf:
	$(XMLTO) -o `pwd`/doc pdf doc/manual.xml

docs-ps:
	$(XMLTO) -o `pwd`/doc ps doc/manual.xml

docs-html:
	test -d doc/html && rm -rf doc/html || true
	mkdir doc/html
	$(XMLTO) -o `pwd`/doc/html -x doc/html.xsl html doc/manual.xml

# Validate the manual source
docs-valid:
	xmllint --noout --valid doc/manual.xml

clean:
	@cd src && $(MAKE) clean
	@cd test && $(MAKE) clean

distclean: clean
	rm -rf Makefile config.h neon.pc config.status src/Makefile libtool config.log config.cache neon-config autom4te*.cache test/Makefile

again: clean

Makefile: Makefile.in
	@./config.status Makefile

neon-config: neon-config.in
	@./config.status neon-config

install-docs: install-man install-html

install-html:
	$(INSTALL) -d $(DESTDIR)$(docdir)/html
	for d in $(srcdir)/doc/html/*.html; do \
		$(INSTALL_DATA) $$d $(DESTDIR)$(docdir)/html; \
	done

install-man:
	$(INSTALL) -d $(DESTDIR)$(man3dir)
	$(INSTALL) -d $(DESTDIR)$(man1dir)
	for m in $(srcdir)/doc/man/*.3; do \
	 $(INSTALL_DATA) $$m $(DESTDIR)$(man3dir); done
	for m in $(srcdir)/doc/man/*.1; do \
	 $(INSTALL_DATA) $$m $(DESTDIR)$(man1dir); done

install: install-yes

install-memleak:
	@echo "ERROR: The neon internal memory leak checking code is for testing"
	@echo "ERROR: purposes only; this copy of neon must not be installed."
	@false

install-yes: install-lib install-headers install-config install-docs

# libtool does all the necessary magic here
install-lib: subdirs
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) src/libneon.la \
		$(DESTDIR)$(libdir)/libneon.la

install-headers:
	$(INSTALL) -d $(DESTDIR)$(neonincludes)
	@for h in $(DIST_HEADERS); do \
		echo Installing $$h into $(DESTDIR)$(neonincludes); \
		$(INSTALL_DATA) $(srcdir)/src/$$h $(DESTDIR)$(neonincludes)/$$h \
			|| exit 1; \
	done

install-config: neon-config neon.pc
	$(INSTALL) -d $(DESTDIR)$(bindir)
	@echo Installing neon-config into $(DESTDIR)$(bindir)
	@$(INSTALL_SCRIPT) neon-config \
		$(DESTDIR)$(bindir)/`echo neon-config|sed '$(transform)'`
	$(INSTALL) -d $(DESTDIR)$(pkgconfigdir)
	$(INSTALL_DATA) neon.pc $(DESTDIR)$(pkgconfigdir)/neon.pc

install-tests: install-lib
	@cd test && make install

ChangeLog:
	svn log > $@

=== apr-util/buckets/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/buckets

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include   

TARGETS = apr_buckets_file.lo apr_buckets_pool.lo apr_buckets_flush.lo \
          apr_buckets_refcount.lo apr_buckets_heap.lo apr_buckets_simple.lo \
          apr_buckets.lo apr_buckets_mmap.lo apr_buckets_socket.lo \
          apr_buckets_eos.lo apr_buckets_pipe.lo apr_brigade.lo \
          apr_buckets_alloc.lo

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk

=== apr-util/crypto/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/crypto

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  

TARGETS = apr_sha1.lo apr_md4.lo apr_md5.lo uuid.lo getuuid.lo 

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk

=== apr-util/dbm/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/dbm

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  

TARGETS = apr_dbm.lo apr_dbm_berkeleydb.lo apr_dbm_gdbm.lo apr_dbm_sdbm.lo apr_dbm_ndbm.lo

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk

SUBDIRS = sdbm .

=== apr-util/encoding/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/encoding

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  

TARGETS = apr_base64.lo

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk

=== debian/changelog ===
subversion (1.4.6-maemo2) unstable; urgency=low

  * Rebuild for fremantle.

 -- Marius Gedminas <marius@gedmin.as>  Fri, 11 Dec 2009 01:03:13 +0100

=== debian/control ===
Source: subversion
Section: user/programming
Priority: optional
Maintainer: Michael Arndt <scriptkiller@gmx.de>
Build-Depends: debhelper (>= 4.0.0), zlib1g-dev (>= 1.2.3-9), libexpat1-dev (>= 1.95.8-4), libssl-dev (>= 0.9.8e-9)
Standards-Version: 3.6.0

Package: subversion
Architecture: any
Depends: ${shlibs:Depends}
Provides: subversion
Description:  Advanced version control system
 Subversion, also known as svn, is a version control system much like
 the Concurrent Versions System (CVS).  Version control systems allow
 many individuals (who may be distributed geographically) to
 collaborate on a set of files (typically source code).  Subversion has
 all the major features of CVS, plus certain new features that CVS
 users often wish they had.
 .
 This package includes the Subversion client (svn), tools to create a
 Subversion repository (svnadmin) and to make a repository available
 over a network (svnserve).
 .
 Homepage: http://subversion.tigris.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static --with-ssl
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/





# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms


	rm -Rf $(CURDIR)/debian/tmp/pkgconfig
	rm -Rf $(CURDIR)/debian/tmp/usr/include
	rm -Rf $(CURDIR)/debian/tmp/usr/build
	cd $(CURDIR)/debian/tmp/
	rm -Rf ./usr/share/doc/ ./usr/man/ ./usr/lib/libexpat.so.0.1.0 ./usr/lib/aprutil.exp  ./usr/lib/apr.exp

#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
